/*  Withinpixels Documentation Boilerplate | 1.0 | MIT License */

$(document).ready(function(){

    /* Navigation submenu collapsables */
    $('.submenu-toggle').on('click', function(e)
    {
        e.preventDefault();

        var $_submenu = $(this).next('.submenu');

        if ($_submenu.hasClass('open')){
            if (!$_submenu.hasClass('locked')){
                $_submenu.removeClass('open').slideUp('fast');
            }
        } else {
            $('.submenu.open:not(.locked)').removeClass('open').slideUp('fast');
            $_submenu.addClass('open').slideDown('fast');
        }

    });

    $('.section-link').on('click', function(e)
    {
        e.preventDefault();

        if ($(this).hasClass('active')){
            goToSection($(this).attr('data-section'));
        } else {

            $('.section-link').removeClass('active');

            if (!$(this).parent().hasClass('locked')){
                $('.submenu.open.locked').slideUp('fast').removeClass('open locked');
            }

            $(this).addClass('active').parent().addClass('locked');

            goToSection($(this).attr('data-section'));
        }
    });

});

function goToSection(sectionId)
{
    if ($(sectionId).length > 0){
        $('html, body').animate({
            scrollTop: $(sectionId).offset().top - 50
        }, 250);
    }
}